From dfa55f9bfc004bf8d9c035dbb6e1ce08248ff44c Mon Sep 17 00:00:00 2001
From: Christopher Beloch <c.beloch@opwoco.de>
Date: Wed, 7 Nov 2012 14:58:39 +0100
Subject: [PATCH] added whereIn support

---
 joli.js | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/joli.js b/joli.js
index 430a1bb..bb6033c 100644
--- a/joli.js
+++ b/joli.js
@@ -242,6 +242,12 @@ var joliCreator = function() {
                     q.where(field, value);
                 });
             }
+            
+            if (constraints.whereIn) {
+                joli.each(constraints.whereIn, function(value, field) {
+                    q.whereIn(field, value);
+                });
+            }
 
             if (constraints.order) {
                 q.order(constraints.order);
@@ -265,6 +271,12 @@ var joliCreator = function() {
                     q.where(field, value);
                 });
             }
+            
+            if (constraints.whereIn) {
+                joli.each(constraints.whereIn, function(value, field) {
+                    q.whereIn(field, value);
+                });
+            }
 
             return parseInt(q.execute(), 10);
         },
